Ban a User
Bans a user in the Punchh system to disallow check-ins, redemptions, emails, etc.
- Type: stringAuthorizationrequired
Bearer token for admin authorization, who is making a call on behalf of the customer. Send the API key in the following format: "Authorization: Bearer BUSINESS_ADMIN_KEY_GOES_HERE".
- Type: stringreasonrequired
Reason that the guest is being banned. This is required for auditing and tracking purposes.
- Type: stringuser
_id requiredUser ID of the guest in the Punchh system that will be banned. You can get this value from the User object.
- Type: booleanban
_all _associated _devices Optional boolean parameter. When set to true, all device IDs linked to the banned user are blocked. This prevents future logins from those devices. If anyone, including the banned user under a new account, attempts to log in from a blocked device, the login API (/api2/mobile/users/login) returns a 422 response with a customizable "Device Banned" message.
- application/json
- application/json
curl https://SERVER_NAME_GOES_HERE.punchh.com/api2/dashboard/users/ban \
--request POST \
--header 'Authorization: Bearer BUSINESS_ADMIN_KEY_GOES_HERE' \
--header 'Content-Type: application/json' \
--data '{
"user_id": "111111111",
"reason": "Fraudulent activity",
"ban_all_associated_devices": false
}'
{}